body {
    font-family: Arial, sans-serif;
    text-align: center;
    margin: 20px;
    background-color: black;
    color: white;
}

textarea {
    width: 300px;
    height: 20px;
    background-color: black;
    color: lime;
    border: 2px solid lime;
    border-radius: 10px;
    padding: 10px;
    resize: none;
    margin-top: 5px;
    font-size: 150%;
    text-align: center;
}

footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    transform: 70%;
}

h1 {
    font-family: 'Courier New', Courier, monospace;
    font-size: 1.5em;
    color: #ffffff;
    text-align: center;
    margin: 20px 0;
    font-size: 180%;
}

h2 {
    font-family: 'Courier New', Courier, monospace;
    font-size: 1.5em;
    color: #ffffff;
    text-align: center;
    margin: 20px 0;
    font-size: 180%;
    margin: 10px;
}

#resultado {
    font-family: 'Courier New', Courier, monospace;
    font-size: 24px;
    margin-top: 20px;
}

#generarIPBtn,
#solucionarIPBtn {
    font-family: 'Courier New', Courier, monospace;
    padding: 10px 20px;
    border-radius: 5px;
    background-color: rgb(0, 0, 0);
    color: lime;
    border: 2px solid lime;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

#generarIPBtn:active,
#solucionarIPBtn:active {
    background-color: #cccccc;
}